가격플랜 목록 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/products/{id}/prices \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/products/{id}/prices"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/products/{id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"code": "price_AbCdEfGhI",
"price": 10000,
"unit": "회",
"planName": "단건 가격플랜 이름",
"planDescription": "단건 가격플랜 설명",
"type": "ONE_TIME",
"enabledFirstSalePrice": true,
"firstSalePrice": 1000,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": null,
"setupOption": {
"id": 1,
"name": "가입비",
"type": "INITIALLY",
"price": 500,
"claimMethodType": "PRE"
},
"options": [],
"volumes": [],
"additionalBilling": null,
"recurring": null,
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "단건 가격플랜 이름",
"description": "단건 가격플랜 설명",
"detailDescription": "단건 가격플랜 상세설명",
"isHiddenFromShop": false,
"adminName": "admin"
},
"firstSale": {
"enabled": true,
"price": 1000
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"basicServing": 0,
"bundlePrices": [],
"onetimeBundlePrice": 0,
"order": 0
},
{
"id": 1,
"code": "price_AbCdEfGhI",
"price": 8900,
"unit": "회",
"planName": "구독 가격플랜",
"planDescription": "구독 가격플랜 설명",
"type": "FLAT",
"enabledFirstSalePrice": true,
"firstSalePrice": 1000,
"claimMethodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"maximumPurchaseQuantity": 0,
"membershipExpirationDate": 0,
"membershipExpirationDateType": null,
"setupOption": {
"id": 1,
"name": "가입비",
"type": "INITIALLY",
"price": 0,
"claimMethodType": "PRE"
},
"options": [],
"volumes": [],
"additionalBilling": null,
"recurring": {
"id": 1,
"intervalCount": 1,
"aggregateUsageType": "SUM",
"interval": "MONTH",
"usageType": "LICENSED"
},
"createdAt": "9999-01-01T00:00:00",
"modifiedAt": "9999-01-01T00:00:00",
"plan": {
"name": "구독 가격플랜",
"description": "구독 가격플랜 설명",
"detailDescription": "구독 가격플랜 상세설명",
"isHiddenFromShop": false,
"adminName": "admin"
},
"firstSale": {
"enabled": true,
"price": 1000
},
"claim": {
"methodType": "PRE",
"whenToClaimType": "FIRST_PAYMENT",
"billingDate": 0,
"provideStartDay": 0
},
"basicServing": 0,
"bundlePrices": [],
"onetimeBundlePrice": 0,
"order": 0
}
]{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}[
{
"id": 123,
"code": "<string>",
"price": 123,
"enabledFirstSalePrice": true,
"firstSalePrice": 123,
"billingDate": 123,
"maximumPurchaseQuantity": 123,
"membershipExpirationDate": 123,
"options": [
{
"id": 123,
"price": 123,
"name": "<string>",
"productCode": "<string>",
"priceCode": "<string>",
"priceName": "<string>",
"recurringDTO": {
"id": 123,
"intervalCount": 123
}
}
],
"volumes": [
{
"id": 123,
"min": 123,
"max": 123,
"price": 123
}
],
"basicServing": 123,
"bundlePrices": [
{
"product": {
"id": 123,
"code": "<string>",
"combinedProducts": [
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"prices": "<array>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"optionGroups": [
{
"id": 123,
"name": "<string>",
"options": [
{
"id": 123,
"name": "<string>",
"price": 123,
"quantity": 123,
"parent": 123
}
],
"depth": 123
}
],
"useCombination": true,
"optionCombinations": [
{
"id": [
123
],
"quantity": 123,
"price": 123
}
],
"prices": "<array>",
"createdAt": "2023-11-07T05:31:56Z",
"enabledDemo": true,
"demoPeriod": 123,
"categories": [
{
"categoryId": 123,
"name": "<string>"
}
],
"vendorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productOrder": 123,
"isOnetimePurchasable": true,
"eventBadge": [
{
"event": "<string>",
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z"
}
],
"name": "<string>",
"subTitle": "<string>",
"featuredImageUrl": "<string>",
"imageUrls": [
"<string>"
],
"description": "<string>",
"summary": "<string>",
"reasonOfReject": "<string>",
"sku": "<string>",
"quantity": 123,
"modifiedAt": "2023-11-07T05:31:56Z",
"notice": "<string>",
"useWidget": {
"useDemo": true,
"useEventBadge": true,
"useOnetimePurchasable": true,
"useNotice": true
},
"groupId": 123,
"countrySetting": {
"id": 123,
"countryCode": "<string>",
"timezoneName": "<string>",
"currencyCode": "<string>",
"isDefault": true,
"taxRate": 123
},
"availableRegions": [
{
"code": "<string>",
"currency": "<string>",
"country": "<string>",
"countryCode": "<string>",
"state": "<string>",
"language": "<string>"
}
]
},
"price": "<unknown>"
}
],
"onetimeBundlePrice": 123,
"order": 123,
"currencyPrice": {},
"unit": "<string>",
"planName": "<string>",
"planDescription": "<string>",
"setupOption": {
"name": "<string>",
"id": 123,
"price": 123,
"currencyPrice": {}
},
"additionalBilling": {
"id": 123,
"ranges": [
{
"id": 123,
"until": 123,
"price": 123
}
]
},
"recurring": {
"id": 123,
"intervalCount": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"plan": {
"name": "<string>",
"description": "<string>",
"isHiddenFromShop": true,
"detailDescription": "<string>",
"adminName": "<string>"
},
"firstSale": {
"enabled": true,
"price": 123,
"currencyPrice": {}
},
"claim": {
"billingDate": 123,
"provideStartDay": 123
}
}
]상품 API
가격플랜 목록 조회
특정 상품의 가격플랜 목록을 반환합니다.
GET
/
api
/
v1
/
products
/
{id}
/
prices
가격플랜 목록 조회
Authorizations
Path Parameters
상품 번호
Response
정상적으로 조회됨
가격 플랜 아이디
가격 플랜 코드
가격(기준통화)
플랜 타입
Available options:
ONE_TIME, FLAT, UNIT_BASED, USAGE_BASED, VOLUME_BASED, BUNDLE 첫 구매 할인 적용 여부
첫 구매 할인시 적용되는 할인 금액
후불일 때 결제되는 날짜를 지정한 경우, 지정된 날짜
최대 구매가능 수량
구독 만기 기간
옵션 정보
Show child attributes
Show child attributes
Show child attributes
Show child attributes
기본 제공량 - 계정/사용량 기반 요금 사용시
번들 플랜 - 번들 상품 구성
Show child attributes
Show child attributes
번들 플랜 - 단건 상품 금액
우선 순위
통화별 가격(기준통화 외)
Show child attributes
Show child attributes
단위
플랜명
플랜 설명
선불인지 후불인지 여부
Available options:
PRE, POST 후불인 경우, 언제 결제되는지
Available options:
FIRST_PAYMENT, DATE 구독 만기 기간 단위
Available options:
DAY, WEEK, MONTH, YEAR 기본료 정보
Show child attributes
Show child attributes
추가 과금 정보
Show child attributes
Show child attributes
구독 주기 정보
Show child attributes
Show child attributes
생성된 시점
수정된 시점
가격 플랜 정보
Show child attributes
Show child attributes
첫 구매 할인 정보
Show child attributes
Show child attributes
청구 방식 정보
Show child attributes
Show child attributes
⌘I